{
  "JwtSetting": {
    "SecurityKey": "3e6dbfa227234a03977a2f421bdb7f4f", // 密钥
    "Issuer": "IRaCIS", // 颁发者
    "Audience": "ZhiZhun", // 接收者
    "TokenExpireDays": "7" // 过期时间（7day）
  },
  "IpRateLimiting": {
    "EnableEndpointRateLimiting": true, //False: globally executed, true: executed for each
    "StackBlockedRequests": false, // set to false, rejected calls are not added to the throttle counter
    "RealIpHeader": "X-Real-IP",
    "ClientIdHeader": "X-ClientId",
    "QuotaExceededResponse": {
      "Content": "{{\"ErrorMessage\":\"The program performs flow limiting,Your requests are too frequent, please try again later, or contact the administrator to modify the IP flow restriction rules\",\"IsSuccess\":false}}",
      "ContentType": "application/json",
      "StatusCode": 429
    },
    "HttpStatusCode": 429,
    //"IpWhitelist": [ "127.0.0.1", "::1/10", "192.168.0.0/24" ],
    "EndpointWhitelist": [ "post:/study/archivestudy/*" ],
    //"EndpointWhitelist": [  ],
    //"EndpointWhitelist": ["post:/trial/getTrialList"], //demo  
    "IpWhitelist": [],
    //"ClientWhitelist": [ "dev-id-1", "dev-id-2" ],
    "GeneralRules": [
      {
        "Endpoint": "*",
        "Period": "1s",
        "Limit": 3
      },
      {
        "Endpoint": "*",
        "Period": "15m",
        "Limit": 100
      },
      {
        "Endpoint": "*",
        "Period": "12h",
        "Limit": 1000
      },
      {
        "Endpoint": "*",
        "Period": "7d",
        "Limit": 10000
      }
    ]
  },

  "easycaching": {
    "inmemory": {
      "MaxRdSecond": 120,
      "EnableLogging": false,
      "LockMs": 5000,
      "SleepMs": 300,
      "DBConfig": {
        "SizeLimit": 10000,
        "ExpirationScanFrequency": 60,
        "EnableReadDeepClone": true,
        "EnableWriteDeepClone": false
      }
    }
  },

  "IRaCISBasicConfig": {

    "DoctorCodePrefix": "RE",

    "UserCodePrefix": "U",

    "QCChallengeCodePrefix": "Q",

    "NoneDicomStudyCodePrefix": "NST",
    

    "DicomStudyCodePrefix": "ST",

    "SystemSiteCodePrefix": "S",

    "DefaultPassword": "EIImage@2023",

    "DefaultInternalOrganizationName": "ExtImaging",

    "ImageShareExpireDays": 10
  }

  //网站根地址，为了访问文件 dicom 和上传的文档... 实测发现不用将域名拼接返回，浏览器会自动加上当前ip，避免了多环境读取环境配置文件



}